this.name        = "Hyperdrives_conditions"; 
this.author      = "Redspear"; 
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Variable hyperdrives and jump ranges for player ships"; 
this.version     = "0.4";

"use strict";

this.allowAwardEquipment = function(eqKey)
{	
	if (eqKey == "EQ_FUEL")
	{	//recalculate ship's jump range
	//'archaic' tech ships defined as follows	
	//if(player.ship.dataKey == "python-player")
	//	{var fuelBase = 3.5;}//these ships granted a base range of 2.5LY
	
	//'low' tech ships defined as follows		
	//if (player.ship.dataKey == "anaconda-player" || player.ship.dataKey == "asp-player" || player.ship.dataKey == "cobramk1-player")
	//	{var fuelBase = 4;}//these ships granted a base range of 4.5LY
	
	//'standard' tech ships defined as follows
	//if (player.ship.dataKey == "morayMED-player" || player.ship.dataKey == "moray-player" || player.ship.dataKey == "adder-player" || player.ship.dataKey == "boa-player")
	//	{var fuelBase = 4.5;}//these ships granted a base range of 3.5LY
	
	//'high' tech ships defined as follows
	//if (player.ship.dataKey == "cobra3-player" || player.ship.dataKey == "boa-mk2-player")
	//	{var fuelBase = 5;}//these ships granted a base range of 2.5LY
	
	//'state of the art' tech ships defined as follows	
	//if (player.ship.dataKey == "ferdelance-player" || player.ship.dataKey == "viper-interceptor-player" || player.ship.dataKey == "constrictor-player")
	//	{var fuelBase = 5.5;}//these ships granted a base range of 3.5LY

	var fuelBase = 5;
		
	//OXP ship range calculated as follows
	if	(player.ship.dataKey != "cobra3-player" && player.ship.dataKey != "boa-player" && player.ship.dataKey != "constrictor-player" && player.ship.dataKey != "boa-mk2-player" && player.ship.dataKey != "anaconda-player" && player.ship.dataKey != "ferdelance-player" && player.ship.dataKey != "asp-player" && player.ship.dataKey != "python-player" && player.ship.dataKey != "viper-interceptor-player" && player.ship.dataKey != "moray-player" && player.ship.dataKey != "morayMED-player" && player.ship.dataKey != "cobramk1-player" && player.ship.dataKey != "adder-player")
		{var fuelBase = player.ship.energyRechargeRate + 1;}
	
	//equipment modifiers (needs tidying)
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 2;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 1.5;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1.5;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 1;}		
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1.5;}	

	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 1;}			
	
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1.5;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 1;}		
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1;}	
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 0.5;}		
	
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 0.5;}		
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 1;}	
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") === "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 0.5;}		

	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") === "EQUIPMENT_OK")
		{var fuelBonus = 0.5;}
		
	if	(player.ship.equipmentStatus("EQ_ENERGY_UNIT") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_WORMHOLE_SCANNER") != "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ADVANCED_NAVIGATIONAL_ARRAY") != "EQUIPMENT_OK")
		{var fuelBonus = 0;}
			
	//max bonus is retained with any two of the above three items of equipment still working 
	//if (fuelBonus == 3)
	//	{var fuelBonus = 2;}			
			
	
	var fuelLimit = fuelBase + fuelBonus;
	
	if (fuelLimit > 7)
		{var fuelLimit = 7}
		
		if (player.ship.fuel == fuelLimit)
		{
			return false; //prevents fuel being offered for sale when capacity (i.e. jump range) is already reached
		}
	}
	return true;
}
